#!/bin/sh
DN=$(cd "${0%/*}" && pwd)

unset CONF_FILE

while getopts c:i: c ; do
  case $c in
    c) CONF_FILE=$OPTARG ;;
    i) INITIAL_VERSION=$OPTARG ;;
  esac
done

INITIAL_VERSION=`expr $INITIAL_VERSION + 0 2>/dev/null`
[ ${#INITIAL_VERSION} -gt 18 ] && INITIAL_VERSION=0

grep -q '^APACHE_CONF=.*/' "$CONF_FILE" 2>/dev/null || exit 0

APACHE_CONF_DIR=`awk '/^APACHE_CONF_DIR=../{sub(/APACHE_CONF_DIR=/,"");print}' < "$CONF_FILE"`
APACHE_LOCAL=`awk '/^APACHE_LOCAL=./{sub(/APACHE_CONF_DIR=/,"");print}' < "$CONF_FILE"`
EPAGES_APAVER=`awk '/^EPAGES_APAVER=./{sub(/EPAGES_APAVER=\\$/,"");print}' < "$CONF_FILE"`
EPAGES_REWRITE_CONF=`awk '/^EPAGES_REWRITE_CONF=./{sub(/EPAGES_REWRITE_CONF=\\$/,"");print}' < "$CONF_FILE"`
EPAGES_WEBSRV=${EPAGES_REWRITE_CONF#\$}
[ "${EPAGES_WEBSRV#HTTPD_ROOT/}" = "$EPAGES_WEBSRV" ] && unset EPAGES_WEBSRV \
|| EPAGES_REWRITE_CONF=`eval echo $EPAGES_REWRITE_CONF`

[ -n "$APACHE_CONF_DIR" ] || exit 0
[ -d "$APACHE_CONF_DIR" ] || exit 0
unset CONF_CHANGED

if [ $INITIAL_VERSION -lt 6011000000 ] ; then
  SF_HANDLER='^[[:space:]]*AddHandler[[:space:]]+fcgiadapter[[:space:]]+\.sf[[:space:]]*$'
  MOBILE_HANDLER='^[[:space:]]*AddHandler[[:space:]]+fcgiadapter[[:space:]]+\.mobile[[:space:]]*$'
  for i in $(find "$APACHE_CONF_DIR" -type f -name "*.conf" -exec egrep \-l "$SF_HANDLER" {} \; 2>/dev/null) ; do
    egrep -q "$MOBILE_HANDLER" "$i" 2>/dev/null && continue
    echo "sed -r \"s/($SF_HANDLER)/\\1\\nAddHandler fcgiadapter .mobile/\" \"$i\""
    sed -r "s/($SF_HANDLER)/\1\nAddHandler fcgiadapter .mobile/" "$i" \
    > "$i".~$$~ && cat "$i".~$$~ > "$i"
    CONF_CHANGED=1
  done
  for i in $(find "$APACHE_CONF_DIR" -type f -name "zzz-epages-httpd.conf") ; do
    $EPAGES_PERL/bin/perl $DN/edit-httpd.pl $i
  done
fi

if [ $INITIAL_VERSION -lt 6011002000 ] ; then
  find "$APACHE_CONF_DIR" -exec grep \-l 'LogFormat .* epages_ssl' {} \; 2>/dev/null | grep -q . || {
    for i in $(find "$APACHE_CONF_DIR" -type f -name "zzz-epages-httpd.conf") ; do
      echo '
<IfModule log_config_module>
    LogFormat "%h %l %u %t \"%r\" HTTP %>s %b \"%{User-Agent}i\" %D \"%{Referer}i\" \"%{X-Store}o\" \"%{X-AppServer}o\" (ratio: %{ratio}n)" epages
    LogFormat "%h %l %u %t \"%r\" HTTPS %>s %b \"%{User-Agent}i\" %D \"%{Referer}i\" \"%{X-Store}o\" \"%{X-AppServer}o\" (ratio: %{ratio}n)" epages_ssl
</IfModule>
' >> $i
    done
  }
fi

[ -n "$CONF_CHANGED" ] && find "$APACHE_CONF_DIR" -name '*~'$$'~*' -exec /bin/rm \-f {} \;

exit 0
