use strict;
use Test::More tests => 2;
use DE_EPAGES::Core::API::WikiMarkup qw( Wiki2Html );

is( Wiki2Html( '== head 2 ==' ), '<h2>head 2</h2>', 'WikiMarkup documentation example' );

my $WikiText = <<END_WIKI;
[[Topic|Title]] # link and title
[[Topic]] # link
[http://en.wikipedia.org/wiki/Help:Wiki_markup|Wiki Markup] # external link and title
[http://en.wikipedia.org/wiki/Help:Wiki_markup] # external link
'''bold text''' ''italic text''
<<code>>
--strike-- ^^sup^^ __sub__
----
====== headline6======
=h1 =
* list 1
* list 2
# num 1
# num 2
 formated
   text

langer text
zweite Zeile
zeile mit kaufmnnischen und (&) drin

Paragraph 2
Zeile 2
END_WIKI

my $HtmlText = <<END_HTML;
<a href="Topic" title="Topic">Title</a> # link and title
<a href="Topic">Topic</a> # link
<a href="http://en.wikipedia.org/wiki/Help:Wiki_markup" title="Wiki Markup" class="external-link">Wiki Markup</a> # external link and title
<a href="http://en.wikipedia.org/wiki/Help:Wiki_markup" class="external-link">http://en.wikipedia.org/wiki/Help:Wiki_markup</a> # external link
<strong>bold text</strong> <em>italic text</em>
<code>code</code>
<strike>strike</strike> <sup>sup</sup> <sub>sub</sub>
<hr />
<h6>headline6</h6>
<h1>h1</h1>
<ul><li>list 1</li>
<li>list 2</li></ul>
<ol><li>num 1</li>
<li>num 2</li></ol>
<pre>formated
  text</pre>

<p>langer text
zweite Zeile
zeile mit kaufmnnischen und (&amp;) drin</p>

<p>Paragraph 2
Zeile 2</p>
END_HTML

is( Wiki2Html( $WikiText ), $HtmlText, 'Wiki2Html' );

done_testing();
