/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.sslSwitch
 *
 * @revision		$Revision: 1.1.2.3 $
 */

jQuery.plugin( 'ep.sslSwitch', 'ep.core', function( $, undefined ){

	ep.sslSwitch = {
		handles: [],

		controller: function( event ){ event.preventDefault();
			var elem = $(this),
				form = elem.filter('form');

			if( !form.length ){
				form = $('<form method="post" action="'+elem.attr('href')+'">').appendTo('body');
			}

			$.each( ep.sslSwitch.handles, function( i, handle ){
				handle( event, form );
			});

			ep.sslSwitch['submit']( form );
		},

		addHandle: function( fn ){
			ep.sslSwitch.handles.push( fn );
		},

		submit: function( form ){
			form[0].submit();
		}
	};

	$(   'a.SSLSwitch').live( 'click',  ep.sslSwitch.controller );
	$('form.SSLSwitch').live( 'submit', ep.sslSwitch.controller );

});