/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.ui.dialog
 *
 * @revision		$Revision: 1.5.2.6 $
 */

jQuery.plugin( 'ep.ui.dialog', [ 'ep.core', 'ep.ui.form', 'ep.ui.input', 'jQuery.ui.dialog'], function( $, undefined ){

	$.widget('ep.ui.Dialog',$.ui.dialog,{

		options: {
			resizable:	'se'
		},

		_create: function(){
			this.Inherited(arguments);

			if( this.options.form ){
				this._createForm(this.options.form);
			}

			this.uiDialog
				.removeClass('ui-corner-all')
				.addClass('epDialog');
			this.uiDialogTitlebar
				.removeClass('ui-corner-all')
				.addClass('epDialogTitleBar');
		},

		_setOption: function( name, value ){
			if( name === 'form' ){
				if( !this.uiForm ){
					this._createForm(value);
				}
				else{
					this.uiForm.uiForm(value);
				}
			}
			else{
				this.Inherited(arguments);
			}
		},

		_createForm: function( form ){
			this.uiForm = this.options.form = ep('<form>')
				.attr(this.options.form)
				.insertBefore(this.uiDialog)
				.append(this.uiDialog)
				.uiForm();
		},

		_createButtons: function( buttons ) {
			var self = this,
				hasButtons = false,
				uiDialogButtonPane = $('<div>')
					.addClass(
						'ui-dialog-buttonpane ' +
						'ui-widget-content ' +
						'ui-helper-clearfix ' +
						'epDialogButtonBar'
					),
				uiButtonSet = $( "<div>" )
					.addClass( "ui-dialog-buttonset" )
					.appendTo( uiDialogButtonPane );

			// if we already have a button pane, remove it
			self.uiDialog.find('.ui-dialog-buttonpane').remove();

			if( typeof buttons === 'object' && buttons !== null ){
				$.each(buttons, function() {
					return !(hasButtons = true);
				});
			}
			if( hasButtons ){
				$.each(buttons, function(name, props) {
					props = $.extend({
						'type':		'button',
						'text':		name,
						'click':	function(){},
						'class':	'epWidth80'
					}, $.isFunction( props ) ? { click: props, text: name } : props );

					// type cann't set with .attr()
					var type = props.type;
					delete(props.type);

					buttons[name] = ep('<button type="'+type+'">')
						.attr( props, true )
						.unbind('click')
						.appendTo(uiButtonSet)
						.uiInput()
						.bind( 'click', function(){
							props.click.apply(self.element[0], arguments);
						});
				});
				uiDialogButtonPane.appendTo(self.uiDialog);
			}
		},

		destroy: function(){
			this.Inherited(arguments);

			if( this.uiForm ){
				this.uiForm.remove();
			}
		}

	});

 var overlayCreate = $.ui.dialog.overlay.create;

 $.ui.dialog.overlay.create = function( dialog ){
  var length = this.instances.length,
   ret = overlayCreate.apply( this, arguments );

  if( length === 0 ){
   // allow closing by click the overlay
   $(document).bind('click.dialog-overlay', function(event) {
    if( dialog.options.closeOnClickOut && event.originalTarget == dialog.overlay.$el[0] ){
     dialog.close(event);
     event.preventDefault();
    }
   });
  }
  return ret;
 };

});