/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.fn.expr
 */

jQuery.plugin( 'jQuery.expr', function( $, undefined ){

	var inputTextareaExp = /^(input|textarea)$/i,
		selectExp = /^select$/i,
		inputExp = /^(a|button|input|select|textarea)$/i;

	// live handles to get focus state
	$('a,:input,*[tabIndex]')
		.live('focus',function(){
			this.isFocused = true;
		})
		.live('blur',function(){
			this.isFocused = false;
		})
		.live('mousedown',function(){
			// in webkit some input doesn't get focus on select by mousedown
			if( !this.isFocused && (inputExp.test(this.nodeName) || this.getAttribute('tabindex')!==null) ){
				this.focus();
			}
		});

	// special selector
	$.extend( $.expr[":"],{
		'changed': function( elem ){
			return inputTextareaExp.test(elem.nodeName) ?
						elem.defaultValue !== elem.value || elem.defaultChecked !== elem.checked :
						selectExp.test(elem.nodeName) ?
							!(elem.options[ elem.selectedIndex ] || {}).defaultSelected :
							false;
		},
		'readonly': function( elem ){
			return !!elem.readonly;
		},
		'focused': function( elem ){
			return !!elem.isFocused;
		}
	});

});