#!/bin/sh

. /etc/default/${EPAGES_PROJECT:-epages6}

unset CHANGE_PERL CHANGE_SSL RESTART_SERVICE

file $EPAGES_PERL/bin/perl | grep -q 'ELF ..-bit' && CHANGE_PERL=1
if [ -f $EPAGES_PERL/lib32/ssl/libssl.so.0.9.8 ] ; then
  strings $EPAGES_PERL/lib32/ssl/libssl.so.0.9.8 | grep -q '0\.9\.8l' || CHANGE_SSL=1
else
  CHANGE_SSL=1
fi

if [ -n "$CHANGE_PERL" -o -n "$CHANGE_SSL" ] ; then
  pgrep epagesService >/dev/null && RESTART_SERVICE=1
  if [ -n "$RESTART_SERVICE" ] ; then
    /etc/init.d/${EPAGES_PROJECT:-epages6} stop_service
  fi
  STILL_RUNNING=$(ps auxwww | grep "$EPAGES_PERL/bin/per[l]" | awk '{printf "%s ", $2}')
  if [ -n "$STILL_RUNNING" ] ; then
    kill -9 $STILL_RUNNING
  fi
fi

if [ -n "$CHANGE_SSL" ] ; then
  pgrep httpd-epages >/dev/null && RESTART_HTTPD=1
  if [ -n "$RESTART_HTTPD" ] ; then
    /etc/init.d/${EPAGES_PROJECT:-epages6} stop_httpd
  fi
  STILL_RUNNING=$(ps auxwww | grep "httpd-epage[s]" | awk '{printf "%s ", $2}')
  if [ -n "$STILL_RUNNING" ] ; then
    kill -9 $STILL_RUNNING
  fi
fi

if [ -n "$CHANGE_PERL" -a -f linux/Perl/bin/perl ] ; then
  cp -p $EPAGES_PERL/bin/perl $EPAGES_PERL/bin/perl.exe
  ls $EPAGES_PERL/bin/perl.exe >/dev/null || exit 1
  rm -f $EPAGES_PERL/bin/perl
  cat linux/Perl/bin/perl > $EPAGES_PERL/bin/perl
  chmod 755 $EPAGES_PERL/bin/perl
  chown ep_appl:epages $EPAGES_PERL/bin/perl
fi

if [ -n "$CHANGE_SSL" -a -f linux/Perl/lib32/ssl/libssl.so.0.9.8 ] ; then
  mkdir -m 755 -p $EPAGES_PERL/lib32/ssl
  for i in $(ls linux/Perl/lib32/ssl/* 2>/dev/null) ; do
    cat $i > $EPAGES_PERL/lib32/ssl/${i##*/}
  done
  chown ep_appl:epages $EPAGES_PERL/lib32
  chown -R ep_appl:epages $EPAGES_PERL/lib32/ssl
  chmod -R 755 $EPAGES_PERL/lib32/ssl
fi

if [ -n "$RESTART_HTTPD" ] ; then
  /etc/init.d/${EPAGES_PROJECT:-epages6} start_httpd
fi

if [ -n "$RESTART_SERVICE" ] ; then
  /etc/init.d/${EPAGES_PROJECT:-epages6} start_service
fi

$EPAGES_PERL/bin/perl patch.pl "$@"
